<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<device image="IMG-000302.png" type="DMXDevice" dmxcversion="3.1.0" ddfversion="1.0.0">
  <information>
    <ddf-library-id>1034</ddf-library-id>
    <model>MAC Quantum Wash</model>
    <vendor>Martin</vendor>
    <author>Patrick Grote</author>
    <mode>Extended</mode>
  </information>
  <functions>
    <shutter dmxchannel="0">
      <step type="closed" mindmx="0" maxdmx="19"/>
      <step type="open" mindmx="20" maxdmx="49"/>
      <step type="open" mindmx="201" maxdmx="210"/>
    </shutter>
    <strobe dmxchannel="0">
      <range type="linear" mindmx="50" maxdmx="200" minval="0.5" maxval="10"/>
      <range type="random" mindmx="211" maxdmx="255" minval="0.5" maxval="10"/>
    </strobe>
    <dimmer dmxchannel="1" finedmxchannel="2"/>
    <colortemp dmxchannel="3">
      <range minval="0" maxval="0" mindmx="0" maxdmx="10"/>
      <range minval="2000" maxval="10000" mindmx="255" maxdmx="20"/>
    </colortemp>
    <zoom dmxchannel="5">
      <range type="linear" mindmx="200" maxdmx="0" minval="11" maxval="53"/>
      <!--Overdrive is missing (201 - 255 = min. - max.)-->
    </zoom>
    <index dmxchannel="6" finedmxchannel="7">
      <range range="360" mindmxrange="0" maxdmxrange="32768"/>
    </index>
    <rotation dmxchannel="6" finedmxchannel="7">
      <step type="stop" mindmxrange="49991" maxdmxrange="50000"/>
      <range type="ccw" mindmxrange="49990" maxdmxrange="40001" minval="0.0083333" maxval="0.17"/>
      <range type="cw" mindmxrange="50001" maxdmxrange="59990" minval="0.0083333" maxval="0.17"/>
    </rotation>
    <position>
      <pan dmxchannel="8" finedmxchannel="9">
        <range range="540"/>
      </pan>
      <tilt dmxchannel="10" finedmxchannel="11">
        <range range="270"/>
      </tilt>
    </position>
    <const dmxchannel="12" val="0"/>
    <rawstep dmxchannel="13" name="FX1 Selection">
      <step caption="Disabled" mindmx="0" maxdmx="0"/>
      <step caption="Aura all sync. center" mindmx="1" maxdmx="1"/>
      <step caption="Aura all sync. middle" mindmx="2" maxdmx="2"/>
      <step caption="Aura all sync. outside" mindmx="3" maxdmx="3"/>
      <step caption="Aura color offset " mindmx="4" maxdmx="4"/>
      <step caption="Dimmer sync." mindmx="5" maxdmx="5"/>
      <step caption="Strobe sync." mindmx="6" maxdmx="6"/>
      <step caption="Dimmer Strobe sync." mindmx="7" maxdmx="7"/>
      <step caption="Beam color tuner" mindmx="8" maxdmx="8"/>
      <step caption="Ring chase fade" mindmx="9" maxdmx="9"/>
      <step caption="Rind chase ramp" mindmx="10" maxdmx="10"/>
      <step caption="Sinewave roll" mindmx="11" maxdmx="11"/>
      <step caption="Ring chase fade rand" mindmx="12" maxdmx="12"/>
      <step caption="Ring pulse VU" mindmx="13" maxdmx="13"/>
      <step caption="Ring roll" mindmx="14" maxdmx="14"/>
      <step caption="Ring strobe" mindmx="15" maxdmx="15"/>
      <step caption="Ring strobe rand" mindmx="16" maxdmx="16"/>
      <step caption="Ring rand strobe midfast" mindmx="17" maxdmx="17"/>
      <step caption="Ring chase uni strobe" mindmx="18" maxdmx="18"/>
      <step caption="Ring rand strobe uni" mindmx="19" maxdmx="19"/>
      <step caption="Ring chase rand strobe" mindmx="20" maxdmx="20"/>
      <step caption="Ring rand strobe Rand" mindmx="21" maxdmx="21"/>
      <step caption="Ring rand strobe rand" mindmx="22" maxdmx="22"/>
      <step caption="Ring rand strobe midfast uni" mindmx="23" maxdmx="23"/>
      <step caption="Flash ringscroll" mindmx="24" maxdmx="24"/>
      <step caption="Strobe alternate 1" mindmx="25" maxdmx="25"/>
      <step caption="Strobe alternate 2" mindmx="26" maxdmx="26"/>
      <step caption="Strobe alternate 3" mindmx="27" maxdmx="27"/>
      <step caption="3Step strobe" mindmx="28" maxdmx="28"/>
      <step caption="Tick Tock" mindmx="29" maxdmx="29"/>
      <step caption="Tick Tock rand" mindmx="30" maxdmx="30"/>
      <step caption="Beam pulse" mindmx="32" maxdmx="32"/>
      <step caption="Beam ramp" mindmx="33" maxdmx="33"/>
      <step caption="Aura pulse" mindmx="34" maxdmx="34"/>
      <step caption="Auraramp" mindmx="35" maxdmx="35"/>
      <step caption="Auraramp beamflash" mindmx="36" maxdmx="36"/>
      <step caption="Beamramp auraflash" mindmx="37" maxdmx="37"/>
      <step caption="Beamaura ramp" mindmx="38" maxdmx="38"/>
      <step caption="Ring rand strobe uni" mindmx="39" maxdmx="39"/>
      <step caption="Electric arc" mindmx="46" maxdmx="46"/>
      <step caption="Thunderstorm Atomic" mindmx="47" maxdmx="47"/>
      <step caption="Thunderstorm" mindmx="48" maxdmx="48"/>
      <step caption="Welding" mindmx="49" maxdmx="49"/>
      <step caption="Rainbow fade" mindmx="50" maxdmx="50"/>
      <step caption="Rainbow solid" mindmx="51" maxdmx="51"/>
      <step caption="Rainbow roll" mindmx="52" maxdmx="52"/>
      <step caption="RGB fade" mindmx="53" maxdmx="53"/>
      <step caption="RGB step" mindmx="54" maxdmx="54"/>
      <step caption="RGB roll" mindmx="55" maxdmx="55"/>
      <step caption="CMY fade" mindmx="56" maxdmx="56"/>
      <step caption="CMY step" mindmx="57" maxdmx="57"/>
      <step caption="CMY roll" mindmx="58" maxdmx="58"/>
      <step caption="Beam red white blue white" mindmx="59" maxdmx="59"/>
      <step caption="Beam red white" mindmx="60" maxdmx="60"/>
      <step caption="Beam white chase" mindmx="61" maxdmx="61"/>
      <step caption="Beam random white chase" mindmx="62" maxdmx="62"/>
      <step caption="Beam random color rings" mindmx="63" maxdmx="63"/>
      <step caption="Beam color flicker" mindmx="64" maxdmx="64"/>
      <step caption="Twister animate 1" mindmx="80" maxdmx="80"/>
      <step caption="Twister animate 2" mindmx="81" maxdmx="81"/>
      <step caption="Zoom ramp" mindmx="90" maxdmx="90"/>
      <step caption="Zoom sawtooth" mindmx="91" maxdmx="91"/>
      <step caption="Zoom dim ramp" mindmx="92" maxdmx="92"/>
      <step caption="Zoom dim sawtooth" mindmx="93" maxdmx="93"/>
      <step caption="Zoom saw color white" mindmx="94" maxdmx="94"/>
      <step caption="Eye Candy 1" mindmx="160" maxdmx="160"/>
      <step caption="Eye Candy 2" mindmx="161" maxdmx="161"/>
      <step caption="Eye Candy 3" mindmx="162" maxdmx="162"/>
      <step caption="Eye Candy 4" mindmx="163" maxdmx="163"/>
      <step caption="Eye Candy 5" mindmx="164" maxdmx="164"/>
      <step caption="Eye Candy 6" mindmx="165" maxdmx="165"/>
      <step caption="Eye Candy 7" mindmx="166" maxdmx="166"/>
      <step caption="Eye Candy 8" mindmx="167" maxdmx="167"/>
      <step caption="Eye Candy 9" mindmx="168" maxdmx="168"/>
      <step caption="Eye Candy 10" mindmx="169" maxdmx="169"/>
      <step caption="Eye Candy 11" mindmx="170" maxdmx="170"/>
      <step caption="Eye Candy 12" mindmx="171" maxdmx="171"/>
      <step caption="Eye Candy 13" mindmx="172" maxdmx="172"/>
      <step caption="Eye Candy 14" mindmx="173" maxdmx="173"/>
      <step caption="Eye Candy 15" mindmx="174" maxdmx="174"/>
      <step caption="Eye Candy 16" mindmx="175" maxdmx="175"/>
      <step caption="Eye Candy 17" mindmx="176" maxdmx="176"/>
      <step caption="Eye Candy 18" mindmx="177" maxdmx="177"/>
      <step caption="Eye Candy 19" mindmx="178" maxdmx="178"/>
      <step caption="Eye Candy 20" mindmx="179" maxdmx="179"/>
      <step caption="Eye Candy 21" mindmx="180" maxdmx="180"/>
      <step caption="Eye Candy 22" mindmx="181" maxdmx="181"/>
      <step caption="Eye Candy 23" mindmx="182" maxdmx="182"/>
      <step caption="Ani twist fade" mindmx="210" maxdmx="210"/>
      <step caption="Ani twist all" mindmx="211" maxdmx="211"/>
      <step caption="Ani twist rings" mindmx="212" maxdmx="212"/>
      <step caption="Twist Aura" mindmx="213" maxdmx="213"/>
      <step caption="Crazy Twister" mindmx="214" maxdmx="214"/>
    </rawstep>
    <raw dmxchannel="14" name="FX1 Speed">
      <range mindmx="126" maxdmx="0" minval="-100" maxval="0.0001"/>
      <range mindmx="127" maxdmx="128" minval="0" maxval="0"/>
      <range mindmx="129" maxdmx="255" minval="0.0001" maxval="100"/>
    </raw>
    <rawstep dmxchannel="15" name="FX2 Selection">
      <step caption="Disabled" mindmx="0" maxdmx="0"/>
      <step caption="Aura all sync. center" mindmx="1" maxdmx="1"/>
      <step caption="Aura all sync. middle" mindmx="2" maxdmx="2"/>
      <step caption="Aura all sync. outside" mindmx="3" maxdmx="3"/>
      <step caption="Aura color offset " mindmx="4" maxdmx="4"/>
      <step caption="Dimmer sync." mindmx="5" maxdmx="5"/>
      <step caption="Strobe sync." mindmx="6" maxdmx="6"/>
      <step caption="Dimmer Strobe sync." mindmx="7" maxdmx="7"/>
      <step caption="Beam color tuner" mindmx="8" maxdmx="8"/>
      <step caption="Ring chase fade" mindmx="9" maxdmx="9"/>
      <step caption="Rind chase ramp" mindmx="10" maxdmx="10"/>
      <step caption="Sinewave roll" mindmx="11" maxdmx="11"/>
      <step caption="Ring chase fade rand" mindmx="12" maxdmx="12"/>
      <step caption="Ring pulse VU" mindmx="13" maxdmx="13"/>
      <step caption="Ring roll" mindmx="14" maxdmx="14"/>
      <step caption="Ring strobe" mindmx="15" maxdmx="15"/>
      <step caption="Ring strobe rand" mindmx="16" maxdmx="16"/>
      <step caption="Ring rand strobe midfast" mindmx="17" maxdmx="17"/>
      <step caption="Ring chase uni strobe" mindmx="18" maxdmx="18"/>
      <step caption="Ring rand strobe uni" mindmx="19" maxdmx="19"/>
      <step caption="Ring chase rand strobe" mindmx="20" maxdmx="20"/>
      <step caption="Ring rand strobe Rand" mindmx="21" maxdmx="21"/>
      <step caption="Ring rand strobe rand" mindmx="22" maxdmx="22"/>
      <step caption="Ring rand strobe midfast uni" mindmx="23" maxdmx="23"/>
      <step caption="Flash ringscroll" mindmx="24" maxdmx="24"/>
      <step caption="Strobe alternate 1" mindmx="25" maxdmx="25"/>
      <step caption="Strobe alternate 2" mindmx="26" maxdmx="26"/>
      <step caption="Strobe alternate 3" mindmx="27" maxdmx="27"/>
      <step caption="3Step strobe" mindmx="28" maxdmx="28"/>
      <step caption="Tick Tock" mindmx="29" maxdmx="29"/>
      <step caption="Tick Tock rand" mindmx="30" maxdmx="30"/>
      <step caption="Beam pulse" mindmx="32" maxdmx="32"/>
      <step caption="Beam ramp" mindmx="33" maxdmx="33"/>
      <step caption="Aura pulse" mindmx="34" maxdmx="34"/>
      <step caption="Auraramp" mindmx="35" maxdmx="35"/>
      <step caption="Auraramp beamflash" mindmx="36" maxdmx="36"/>
      <step caption="Beamramp auraflash" mindmx="37" maxdmx="37"/>
      <step caption="Beamaura ramp" mindmx="38" maxdmx="38"/>
      <step caption="Ring rand strobe uni" mindmx="39" maxdmx="39"/>
      <step caption="Electric arc" mindmx="46" maxdmx="46"/>
      <step caption="Thunderstorm Atomic" mindmx="47" maxdmx="47"/>
      <step caption="Thunderstorm" mindmx="48" maxdmx="48"/>
      <step caption="Welding" mindmx="49" maxdmx="49"/>
      <step caption="Rainbow fade" mindmx="50" maxdmx="50"/>
      <step caption="Rainbow solid" mindmx="51" maxdmx="51"/>
      <step caption="Rainbow roll" mindmx="52" maxdmx="52"/>
      <step caption="RGB fade" mindmx="53" maxdmx="53"/>
      <step caption="RGB step" mindmx="54" maxdmx="54"/>
      <step caption="RGB roll" mindmx="55" maxdmx="55"/>
      <step caption="CMY fade" mindmx="56" maxdmx="56"/>
      <step caption="CMY step" mindmx="57" maxdmx="57"/>
      <step caption="CMY roll" mindmx="58" maxdmx="58"/>
      <step caption="Beam red white blue white" mindmx="59" maxdmx="59"/>
      <step caption="Beam red white" mindmx="60" maxdmx="60"/>
      <step caption="Beam white chase" mindmx="61" maxdmx="61"/>
      <step caption="Beam random white chase" mindmx="62" maxdmx="62"/>
      <step caption="Beam random color rings" mindmx="63" maxdmx="63"/>
      <step caption="Beam color flicker" mindmx="64" maxdmx="64"/>
      <step caption="Twister animate 1" mindmx="80" maxdmx="80"/>
      <step caption="Twister animate 2" mindmx="81" maxdmx="81"/>
      <step caption="Zoom ramp" mindmx="90" maxdmx="90"/>
      <step caption="Zoom sawtooth" mindmx="91" maxdmx="91"/>
      <step caption="Zoom dim ramp" mindmx="92" maxdmx="92"/>
      <step caption="Zoom dim sawtooth" mindmx="93" maxdmx="93"/>
      <step caption="Zoom saw color white" mindmx="94" maxdmx="94"/>
      <step caption="Eye Candy 1" mindmx="160" maxdmx="160"/>
      <step caption="Eye Candy 2" mindmx="161" maxdmx="161"/>
      <step caption="Eye Candy 3" mindmx="162" maxdmx="162"/>
      <step caption="Eye Candy 4" mindmx="163" maxdmx="163"/>
      <step caption="Eye Candy 5" mindmx="164" maxdmx="164"/>
      <step caption="Eye Candy 6" mindmx="165" maxdmx="165"/>
      <step caption="Eye Candy 7" mindmx="166" maxdmx="166"/>
      <step caption="Eye Candy 8" mindmx="167" maxdmx="167"/>
      <step caption="Eye Candy 9" mindmx="168" maxdmx="168"/>
      <step caption="Eye Candy 10" mindmx="169" maxdmx="169"/>
      <step caption="Eye Candy 11" mindmx="170" maxdmx="170"/>
      <step caption="Eye Candy 12" mindmx="171" maxdmx="171"/>
      <step caption="Eye Candy 13" mindmx="172" maxdmx="172"/>
      <step caption="Eye Candy 14" mindmx="173" maxdmx="173"/>
      <step caption="Eye Candy 15" mindmx="174" maxdmx="174"/>
      <step caption="Eye Candy 16" mindmx="175" maxdmx="175"/>
      <step caption="Eye Candy 17" mindmx="176" maxdmx="176"/>
      <step caption="Eye Candy 18" mindmx="177" maxdmx="177"/>
      <step caption="Eye Candy 19" mindmx="178" maxdmx="178"/>
      <step caption="Eye Candy 20" mindmx="179" maxdmx="179"/>
      <step caption="Eye Candy 21" mindmx="180" maxdmx="180"/>
      <step caption="Eye Candy 22" mindmx="181" maxdmx="181"/>
      <step caption="Eye Candy 23" mindmx="182" maxdmx="182"/>
      <step caption="Ani twist fade" mindmx="210" maxdmx="210"/>
      <step caption="Ani twist all" mindmx="211" maxdmx="211"/>
      <step caption="Ani twist rings" mindmx="212" maxdmx="212"/>
      <step caption="Twist Aura" mindmx="213" maxdmx="213"/>
      <step caption="Crazy Twister" mindmx="214" maxdmx="214"/>
    </rawstep>
    <raw dmxchannel="16" name="FX2 Speed">
      <range mindmx="126" maxdmx="0" minval="-100" maxval="0.0001"/>
      <range mindmx="127" maxdmx="128" minval="0" maxval="0"/>
      <range mindmx="129" maxdmx="255" minval="0.0001" maxval="100"/>
    </raw>
    <rawstep dmxchannel="15" name="FX Sync.">
      <step caption="Disabled" mindmx="0" maxdmx="0"/>
      <step caption="0°" mindmx="36" maxdmx="36"/>
      <step caption="10°" mindmx="1" maxdmx="1"/>
      <step caption="20°" mindmx="2" maxdmx="2"/>
      <step caption="30°" mindmx="3" maxdmx="3"/>
      <step caption="40°" mindmx="4" maxdmx="4"/>
      <step caption="50°" mindmx="5" maxdmx="5"/>
      <step caption="60°" mindmx="6" maxdmx="6"/>
      <step caption="70°" mindmx="7" maxdmx="7"/>
      <step caption="80°" mindmx="8" maxdmx="8"/>
      <step caption="90°" mindmx="9" maxdmx="9"/>
      <step caption="100°" mindmx="10" maxdmx="10"/>
      <step caption="110°" mindmx="11" maxdmx="11"/>
      <step caption="120°" mindmx="12" maxdmx="12"/>
      <step caption="130°" mindmx="13" maxdmx="13"/>
      <step caption="140°" mindmx="14" maxdmx="14"/>
      <step caption="150°" mindmx="15" maxdmx="15"/>
      <step caption="160°" mindmx="16" maxdmx="16"/>
      <step caption="170°" mindmx="17" maxdmx="17"/>
      <step caption="180°" mindmx="18" maxdmx="18"/>
      <step caption="190°" mindmx="19" maxdmx="19"/>
      <step caption="200°" mindmx="20" maxdmx="20"/>
      <step caption="210°" mindmx="21" maxdmx="21"/>
      <step caption="220°" mindmx="22" maxdmx="22"/>
      <step caption="230°" mindmx="23" maxdmx="23"/>
      <step caption="240°" mindmx="24" maxdmx="24"/>
      <step caption="250°" mindmx="25" maxdmx="25"/>
      <step caption="260°" mindmx="26" maxdmx="26"/>
      <step caption="270°" mindmx="27" maxdmx="27"/>
      <step caption="280°" mindmx="28" maxdmx="28"/>
      <step caption="290°" mindmx="29" maxdmx="29"/>
      <step caption="300°" mindmx="30" maxdmx="30"/>
      <step caption="310°" mindmx="31" maxdmx="31"/>
      <step caption="320°" mindmx="32" maxdmx="32"/>
      <step caption="330°" mindmx="33" maxdmx="33"/>
      <step caption="340°" mindmx="34" maxdmx="34"/>
      <step caption="350°" mindmx="35" maxdmx="35"/>
      <step caption="Random" mindmx="101" maxdmx="120"/>
      <step caption="Random Duration" mindmx="121" maxdmx="140"/>
    </rawstep>
  </functions>
  <functions>
    <shutter dmxchannel="27">
      <step type="closed" mindmx="0" maxdmx="19"/>
      <step type="open" mindmx="20" maxdmx="49"/>
      <step type="open" mindmx="201" maxdmx="210"/>
    </shutter>
    <strobe dmxchannel="27">
      <range type="linear" mindmx="50" maxdmx="200" minval="0.5" maxval="10"/>
      <range type="random" mindmx="211" maxdmx="255" minval="0.5" maxval="10"/>
    </strobe>
    <dimmer dmxchannel="28"/>
    <rgb>
      <red dmxchannel="29"/>
      <green dmxchannel="30"/>
      <blue dmxchannel="31"/>
    </rgb>
    <const dmxchannel="32" val="0"/>
  </functions>
  <functions>
    <rgb>
      <red dmxchannel="18"/>
      <green dmxchannel="19"/>
      <blue dmxchannel="20"/>
    </rgb>
  </functions>
  <functions>
    <rgb>
      <red dmxchannel="21"/>
      <green dmxchannel="22"/>
      <blue dmxchannel="23"/>
    </rgb>
  </functions>
  <functions>
    <rgb>
      <red dmxchannel="24"/>
      <green dmxchannel="25"/>
      <blue dmxchannel="26"/>
    </rgb>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="12" value="14"/>
      <hold value="5500"/>
      <restore dmxchannel="12"/>
    </reset>
    <reset_shutter>
      <set dmxchannel="12" value="15"/>
      <hold value="5500"/>
      <restore dmxchannel="12"/>
    </reset_shutter>
    <reset_color>
      <set dmxchannel="12" value="16"/>
      <hold value="5500"/>
      <restore dmxchannel="12"/>
    </reset_color>
    <reset_pan_tilt>
      <set dmxchannel="12" value="18"/>
      <hold value="5500"/>
      <restore dmxchannel="12"/>
    </reset_pan_tilt>
    <procedure name="Pan/Tilt-Speed FAST">
      <set dmxchannel="12" value="28"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name="Pan/Tilt-Speed SLOW">
      <set dmxchannel="12" value="29"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name="Fan-Mode Not Regulated">
      <set dmxchannel="12" value="50"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name="Fan-Mode Regulated">
      <set dmxchannel="12" value="51"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name="Calibrated Output">
      <set dmxchannel="12" value="39"/>
      <hold value="5500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name="Raw Output">
      <set dmxchannel="12" value="38"/>
      <hold value="5500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name=" Linear Dimmer Curve">
      <set dmxchannel="12" value="23"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name="S-Dimmer Curve">
      <set dmxchannel="12" value="26"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name="Exponential Dimmer Curve">
      <set dmxchannel="12" value="24"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <procedure name="Inverse Exponential Dimmer Curve">
      <set dmxchannel="12" value="25"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </procedure>
    <display_on>
      <set dmxchannel="12" value="52"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </display_on>
    <display_off>
      <set dmxchannel="12" value="53"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </display_off>
  </procedures>
</device>
